#!/bin/sh

glihome=$GSDLHOME/gli

if [ "$glihome" == "" ]; then
    # assume glihelp in its usual place
      pushd ../ > /dev/null
      glihome=`pwd`
      popd > /dev/null
fi

echo "processing english version"
cd en
java -cp $glihome -DGSDLHOME=$GSDLHOME ApplyXSLT ../gen-many-html.xsl help.xml | perl -S ../splithelpdocument.pl
java -cp $glihome -DGSDLHOME=$GSDLHOME ApplyXSLT ../gen-index-xml.xsl help.xml > help_index.xml
cd ..



